上海交大的源好像有些问题,自己尝试解决了一下

为当前最终发行版之前的所有版本提供支持
回复
meowth
帖子: 3
注册时间: 2005-09-10 12:51
送出感谢: 0
接收感谢: 0

上海交大的源好像有些问题,自己尝试解决了一下

#1

帖子 meowth » 2006-02-24 13:26

我是网通的用户,本来使用上海交大的源速度非常好,不过最近几天似乎出了些问题,源里面ubuntu-cn的软件(例如w32codecs, scim等)都不能更新,使用apt-get update之后也没有解决。查看出错的原因是:

代码: 全选

无法下载 ftp://ftp.sjtu.edu.cn/sites/ubuntu.org.cn/ubuntu-cn[b]//share/ubuntu-cn/[/b]dists/breezy/main/binary-i386/scim/scim_1.4.2-0.3ubuntu_i386.deb 无法获取文件,服务器响应道“Can't open /.......deb: No such file or directory  ”
直接到服务器下核对路径,发现黑体的一段路径是多余的,于是找到保存列表的目录(/var/lib/apt/lists),修改带有ubuntu-cn的几个Packages(我的机器上有四个,其中还有一个空白文档,所以修改起来不算困难)。使用 sudo gedit 打开文档,选择替换“/share/ubuntu-cn/ ”为空白。保存文件,之后就应该可以正常更新了。上传了我自己修改的几个Packages,还是期待管理员能够尽快解决这个小问题。
附件
sources.tar.gz
(100.67 KiB) 下载 37 次
上次由 meowth 在 2006-02-25 12:50,总共编辑 1 次。
苍紫云龙
帖子: 117
注册时间: 2005-07-27 18:39
送出感谢: 0
接收感谢: 0

#2

帖子 苍紫云龙 » 2006-02-24 13:41

我在升级kde到3.5的时候也遇到了这个问题,本来想手动下载,但工程量太大,有将近70个,archive,cn99,sjtu都一样,可能是ubuntu-cn的问题,希望能尽快解决,谢谢!

PS:谢谢楼主提供的方法
回复

回到 “老旧版本支持”